%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:           gnome-console
Version:        48.0.1
Release:        %mkrel 2
Summary:        Simple user-friendly terminal emulator for the GNOME desktop
License:        GPLv3+
Group:          Graphical desktop/GNOME
URL:            https://gitlab.gnome.org/GNOME/console
Source:         https://download.gnome.org/sources/gnome-console/%{url_ver}/gnome-console-%{version_no_tilde .}.tar.xz

BuildRequires:  meson >= 0.59.0
BuildRequires:  gcc
BuildRequires:  pkgconfig(gio-2.0) >= 2.66
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(vte-2.91-gtk4)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  appstream-util
BuildRequires:  desktop-file-utils

# Added and removed in Cauldron
Obsoletes: gnome-console-nautilus < 43~beta

%description
%{summary}.

%prep
%autosetup -p 1 -n %{name}-%{version_no_tilde .}

%build
%meson
%meson_build

%install
%meson_install
%find_lang kgx

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Console.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.gnome.Console.metainfo.xml

%files -f kgx.lang
%license COPYING
%doc NEWS README.md
%{_bindir}/kgx
%{_datadir}/applications/org.gnome.Console.desktop
%{_metainfodir}/org.gnome.Console.metainfo.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Console.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Console.service
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Console.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Console-symbolic.svg



%changelog
* Mon Jul 07 2025 umeabot <umeabot> 48.0.1-2.mga10
+ Revision: 2248796
- Mageia 10 Mass Rebuild

* Wed Mar 19 2025 daviddavid <daviddavid> 48.0.1-1.mga10
+ Revision: 2166719
- new version 48.0.1

* Mon Feb 03 2025 daviddavid <daviddavid> 47.1-2.mga10
+ Revision: 2144933
- cherry-pick patches to fix compatibility with gtk 4.17 (mga#33980)

* Thu Sep 19 2024 daviddavid <daviddavid> 47.1-1.mga10
+ Revision: 2098774
- new version 47.1
- new version 47.0

* Tue Mar 19 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2050621
- new version 46.0

* Thu Sep 28 2023 tv <tv> 45.0-1.mga10
+ Revision: 1991738
- Update to 45.0

* Sat Apr 22 2023 tmb <tmb> 44.0-1.mga9
+ Revision: 1953938
- update to 44.0

* Mon Sep 26 2022 tv <tv> 43.0-1.mga9
+ Revision: 1892342
- Update to 43.0

* Tue Sep 20 2022 tv <tv> 43~rc-1.mga9
+ Revision: 1890752
- Update to 43.rc
  o Switch to gtk4
  o Remove and obsolete nautilus extension (dropped upstream)

* Wed Aug 17 2022 tv <tv> 42.2-1.mga9
+ Revision: 1878312
- imported package gnome-console


* Wed Aug 17 2022 Thierry Vignaud <tv@mageia.org> 42.2-1.mga9
- Import from FC

* Fri Jul 15 2022 Kalev Lember <klember@redhat.com> 42.2-1
- Update to 42.2

* Thu Mar 31 2022 Carl George <carl@george.computer> 42~beta-3
- Enable Ctrl+PgUp/PgDn to switch tabs if there are multiple tabs

* Mon Mar 21 2022 Carl George <carl@george.computer> 42~beta-2
- Add URL

* Thu Feb 17 2022 Igor Raits <igor.raits@gmail.com> 42~beta-1
- Initial import (Closes: rhbz#2055828)
